      program ReadDisplay
      
      Implicit real (a-h,o-z)
      integer n,m,unt,L,fp
      Dimension a(50,50), b(50)
      open (unit=8,file="VM.dat",status="unknown")
      fp=8

c komentar
      call readline(fp)
 
c   vector
      read (8,*) L
      call readvektor(b,L,fp)
      call displayvektor(b,L)
      call readline(fp)
c matrica
      read (8,*) n,m
      call readmatrix(a,n,m,fp)

      call displaymatrix(a,n,m)

      close(8)
      end program
